import React from 'react';
import styled from 'styled-components';
var StyledLink = styled.a.withConfig({
  displayName: "SortButton__StyledLink",
  componentId: "sc-xmnw1p-0"
})(["justify-content:inherit;text-decoration:none;color:inherit;width:100%;"]);
export var SortButton = function SortButton(_ref) {
  var children = _ref.children,
    _onClick = _ref.onClick,
    className = _ref.className;
  return React.createElement(StyledLink, {
    className: className,
    href: "#",
    role: "button",
    onClick: function onClick(e) {
      e.preventDefault();
      _onClick();
    },
    onKeyDown: function onKeyDown(e) {
      if (e.keyCode === 32) {
        _onClick();
      }
    }
  }, children);
};